---
Name: app-mimeuploadvalidator
After: '#mimeuploadvalidator'
Only:
  moduleexists: 'silverstripe/mimevalidator'
---
SilverStripe\Core\Injector\Injector:
  SilverStripe\Assets\Upload_Validator:
    class: SilverStripe\MimeValidator\MimeUploadValidator

SilverStripe\Assets\File:
  allowed_extensions:
    - sh
    - py
    - r
    - html
    - php
    - rb
    - jar
    - pass
    - yml
    - yaml
    - tfw
    - cpg
    - dbf
    - prj
    - qpj
    - sbn
    - sbx
    - shp
    - xml
    - shx
    - pyc
    - txt
    - dat
    - csv
    - png
    - jpg
    - jpeg
    - nc
    - svg
    - geojson
    - css
    - js
    - json
    - rmd
    - ttf
  class_for_file_extension:
    sh: Script
    py: Script
    r: Script
    html: Script
    php: Script
    rb: Script
    jar: Script
    pass: Script
    rmd: Script
    ttf: Script
  app_categories:
    scripts:
      - sh
      - py
      - r
      - html
      - php
      - rb
      - jar
      - pass
      - tfw
      - cpg
      - dbf
      - prj
      - qpj
      - sbn
      - sbx
      - shp
      - xml
      - shx
      - pyc
      - txt
      - dat
      - csv
      - png
      - jpg
      - jpeg
      - nc
      - svg
      - geojson
      - css
      - js
      - json
      - rmd
      - ttf
SilverStripe\Control\HTTP:
  MimeTypes:
    sh: application/x-sh
    py: application/x-python
    r: text/plain
    html: text/html
    php: application/x-httpd-php
    rb: text/plain
    jar: application/java-archive
    pass: text/plain
    rmd: text/plain
    yml: text/plain
    tfw: text/plain
    cpg: text/plain
    dbf: application/x-dbf
    prj: text/plain
    qpj: text/plain
    sbn: application/octet-stream
    sbx: application/octet-stream
    shp: application/octet-stream
    xml: application/xml
    shx: application/octet-stream
    pyc: application/x-python-code
    txt: text/plain
    dat: text/plain
    csv: text/csv
    png: image/png
    jpg: image/jpg
    jpeg: image/jpg
    nc: application/x-netcdf
    svg: image/svg+xml
    geojson: application/geo+json
    css: text/css
    js: text/javascript
    json: application/json
    ttf: font/ttf
SilverStripe\MimeValidator\MimeUploadValidator:
  MimeTypes:
    sh:
      - application/x-shellscript
      - application/x-sh
    py:
      - application/x-python
      - text/plain
    r:
      - text/plain
    html:
      - text/html
    php:
      - application/x-httpd-php
      - application/x-php
      - text/html
    rb:
      - text/plain
    jar:
      - application/java-archive
    pass:
      - text/plain
    tfw:
      - text/plain
    cpg:
      - text/plain
    dbf:
      - application/dbase
      - application/x-dbase
      - application/x-dbf
    prj:
      - text/plain
    qpj:
      - text/plain
    sbn:
      - application/octet-stream
    sbx:
      - application/octet-stream
    shp:
      - application/octet-stream
      - application/vnd.shp
    xml:
      - application/xml
    shx:
      - application/octet-stream
      - application/vnd.shx
    pyc:
      - application/x-python-code
    txt:
      - text/plain
    dat:
      - text/plain
    csv:
      - text/csv
      - text/x-csv
      - application/csv
      - application/x-csv
    png:
      - image/png
    jpg:
      - application/jpg
      - application/x-jpg
      - image/jpg
    jpeg:
      - application/jpg
      - application/x-jpg
      - image/jpg
    nc:
      - application/netcdf
      - application/x-netcdf
      - application/x-netcdf4
      - application/x-hdf5
      - application/x-hdf
    svg:
      - image/svg+xml
    geojson:
      - application/geo+json
    css:
      - text/css
    js:
      - text/javascript
      - text/plain
    json:
      - application/json
      - text/plain
    rmd:
      - text/plain
    ttf:
      - font/ttf
      - application/x-font-ttf
      - application/font-sfnt
